<h1 #headingRef>Pockemons</h1>

<table>
  <thead>
    <th highlightText>Index</th>
    <th>Name</th>
    <th>Type</th>
  </thead>
  <tbody>
    <app-pokemon-detail
      *ngFor="let pokemon of pokemons"
      #pokemonsRef
      [detail]="pokemon"
      (remove)="handleRemove($event)"
      ><h1>---------------</h1>
      <h2>Child props</h2></app-pokemon-detail
    >
  </tbody>
  <h2 *customif="true">This is true</h2>
  <h2 *customif="false">This is false</h2>
</table>
